<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\QuestionPackageRepository;
use Illuminate\Http\Request;

class QuestionPackageController extends Controller
{

    protected $questionPackageRepository;

    public function __construct(QuestionPackageRepository $questionPackageRepository)
    {
        $this->questionPackageRepository = $questionPackageRepository;
    }

    public function getPackages(Request $request)
    {
        return $this->questionPackageRepository->getPackages($request);
    }

    public function get(Request $request)
    {
        return $this->questionPackageRepository->get($request);
    }
    
}
