<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreItem extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'title'             => ['required', 'string', 'max:255'],
            'description'       => ['required', 'string'],
            'image'             => ['image', 'mimes:jpg,jpeg'],
            'video'             => [],
            'teaser'            => [],
            'preview'           => [],
            'item_id'           => [],
            'section'           => [],
            'season'            => [],
            'length'            => [],
            'production_year'   => [],
            'imdb_rating'       => [],
            'publish_status'    => [],
            'slider_id'         => [],
        ];
    }
}
