<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class CommentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return[
            'id' => $this->resource->id,
            'content' => $this->resource->content,
            // 'user_id' => $this->resource->user_id,
            'comment_id' => $this->resource->comment_id,
            'likes_count' => $this->resource->likes_count,
            'dislikes_count' => $this->resource->dislikes_count,
            'action' => $this->resource->action,
            'posted_at' => $this->resource->posted_at,
            'who_posted' => $this->resource->who_posted,
        ];
    }
}
