<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Slider extends Model
{
    use HasFactory;

    public function categoties()
    {
        return $this->hasMany(Category::class);
    }

    public function items()
    {
        return $this->belongsToMany(Item::class, 'slider_items');
    }
}
