<?php

namespace App\Repository\Eloquent;

use App\Models\Answer;
use App\Models\Category;
use App\Models\Comment;
use App\Models\Item;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LikeRepository extends BaseRepository{


    //---------------------------------------------------------------------------------------------------
    
    public function like(Request $request)
    {
        if($request->type === 'comment'){
            if($request->action == 'delete'){
                Comment::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Comment::class)->detach(['user_id' => Auth::user()->id]);
            } else {
                if(Comment::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Comment::class)->exists())
                    Comment::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Comment::class)->detach(['user_id' => Auth::user()->id]);
                if(Comment::find($request->type_id)->disLikes()->where('user_id', Auth::user()->id)->where('like_type', Comment::class)->exists())
                    Comment::find($request->type_id)->disLikes()->where('user_id', Auth::user()->id)->where('like_type', Comment::class)->detach(['user_id' => Auth::user()->id]);
                Comment::find($request->type_id)->likes()->attach(['user_id' => Auth::user()->id] ,['action' => $request->action]);
            }
        } elseif($request->type === 'answer'){
            if($request->action == 'delete'){
                Answer::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Answer::class)->detach(['user_id' => Auth::user()->id]);
            } else {
                if(Answer::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Answer::class)->exists())
                    Answer::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Answer::class)->detach(['user_id' => Auth::user()->id]);
                if(Answer::find($request->type_id)->disLikes()->where('user_id', Auth::user()->id)->where('like_type', Answer::class)->exists())
                    Answer::find($request->type_id)->disLikes()->where('user_id', Auth::user()->id)->where('like_type', Answer::class)->detach(['user_id' => Auth::user()->id]);
                Answer::find($request->type_id)->likes()->attach(['user_id' => Auth::user()->id] ,['action' => $request->action]);
            }
        } elseif($request->type === 'item'){
            if($request->action == 'delete'){
                Item::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Item::class)->detach(['user_id' => Auth::user()->id]);
            } else {
                if(Item::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Item::class)->exists())
                    Item::find($request->type_id)->likes()->where('user_id', Auth::user()->id)->where('like_type', Item::class)->detach(['user_id' => Auth::user()->id]);
                if(Item::find($request->type_id)->disLikes()->where('user_id', Auth::user()->id)->where('like_type', Item::class)->exists())
                    Item::find($request->type_id)->disLikes()->where('user_id', Auth::user()->id)->where('like_type', Item::class)->detach(['user_id' => Auth::user()->id]);
                Item::find($request->type_id)->likes()->attach(['user_id' => Auth::user()->id] ,['action' => $request->action]);
            }
        }

        return $this->sendResponse();
    }
    

    

}

?>