<?php

namespace App\Repository\Eloquent;

use App\Models\Faq;
use App\Models\Plan;
use App\Models\Setting;
use App\Models\User;
use Illuminate\Http\Request;

class SettingRepository extends BaseRepository{

    protected $model;

    public function __construct(Setting $model)
    {
        $this->model = $model;
    }

    public function get(Request $request)
    {
        // dd($this->model->where('setting', $setting));
        // if($request->setting === '')
        return $this->sendResponse($this->model->where('setting', $request->setting)->first());
        
    }

    public function getCompanyInfo()
    {
        $data = [];
        $data['email'] = Setting::where('setting', 'email')->get()->pluck('content');//->first();
        $data['phone_number'] = Setting::where('setting', 'phone_number')->get()->pluck('content');//->first();

        return $this->sendResponse($data);
        
    }

    public function getAllInfo()
    {
        $info['settings']   = Setting::select('setting', 'content')->get();
        $info['faqs']       = Faq::select('question', 'answer')->get();
        $info['plans']      = Plan::select('name', 'price', 'link')->get();

        return $this->sendResponse($info);
        
    }
    


}

?>