<?php

namespace Database\Seeders;

use App\Models\VoiceAndSubtitle;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class VoiceAndSubtitleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        VoiceAndSubtitle::factory()->create([
            'name' => 'فارسی',
            'type' => 'subtitle',
        ]);
        VoiceAndSubtitle::factory()->create([
            'name' => 'انگلیسی',
            'type' => 'subtitle',
        ]);
        VoiceAndSubtitle::factory()->create([
            'name' => 'هندی',
            'type' => 'subtitle',
        ]);
        VoiceAndSubtitle::factory()->create([
            'name' => 'فارسی',
            'type' => 'voice',
        ]);
        VoiceAndSubtitle::factory()->create([
            'name' => 'انگلیسی',
            'type' => 'voice',
        ]);
        VoiceAndSubtitle::factory()->create([
            'name' => 'هندی',
            'type' => 'voice',
        ]);
    }
}
