<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <?php echo app('Illuminate\Foundation\Vite')(['resources/js/app.js']); ?>
    <title>Document</title>
</head>
<body>

    <div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom shadow-sm">
        <h5 class="my-0 mr-md-auto font-weight-normal">Forum</h5>
        <nav class="my-2 my-md-0 mr-md-3">
            <a class="p-2 text-dark" href="/">Home</a>
            



            <?php if(auth()->guard()->guest()): ?>

                <a class="p-2 text-dark" href="<?php echo e(route('login')); ?>">Login</a>
                <a class="p-2 text-dark" href="<?php echo e(route('register')); ?>">Register</a>
                
            <?php else: ?>
                
                <a class="p-2 text-dark" href="<?php echo e(route('logout')); ?>" 
                    onclick="event.preventDefault();document.getElementById('logout.form').submit();">
                    Logout(<?php echo e(Auth::user()->name); ?>)
                </a>
                
                <form id="logout.form" action="<?php echo e(route('logout')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                </form>

            <?php endif; ?>


			
        </nav>
    </div>

    <div class="container">
        <?php if(session()->has('status')): ?>
            <p style="color: green">
                <?php echo e(session()->get('status')); ?>

            </p>
        <?php endif; ?>

        <?php echo $__env->yieldContent('content'); ?>
    </div>
    
</body>
</html><?php /**PATH C:\laragon\www\namava\resources\views/layout.blade.php ENDPATH**/ ?>