<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\EmailRepository;
use Illuminate\Http\Request;

class EmailController extends Controller
{
    protected $emailRepository;

    public function __construct(EmailRepository $emailRepository)
    {
        $this->emailRepository = $emailRepository;
    }
    public function send(Request $request)
    {
        return $this->emailRepository->send($request);
    }
}
